import React, { useState } from "react";
import useJsonHealthCheck from "../../hooks/useJsonHealthCheck";
import { UNKNOWN, OK, BAD, FAILED } from "../shared/StatusMessage";
import Tile from "../shared/Tile";

export default () => {
  const [{ users, health }, setState] = useState({ users: null, health: UNKNOWN });
  useJsonHealthCheck(
    "https://kirkleon.ddns.net/teamspeak/api",
    ({ users }) => setState({ users: users.length, health: OK }),
    () => setState({ users: null, health: BAD }),
    () => setState({ users: null, health: FAILED }),
  );

  return <Tile
    link="https://kirkleon.ddns.net/teamspeak/"
    title="Teamspeak Server"
    health={health}
    data={users === null ? null : `${users} users online`}
  />
}
